Page MenuHomePhabricator

Help panel: Missing animation transitions
Closed, ResolvedPublic

Description

Broken out from T211633:

Both mobile & desktop versions are missing two animation transitions:

1. Missing animation to transition help panel CTA onto the editor screen
Expected: Help CTA should fade and animate into the screen, as per the demo prototype. Also refer to the css (lines 182-204) as a proposed way to achieve this effect.

Status: Not done.

2. Missing animation to transition from the help panel CTA to the open help panel
Expected: When the help panel CTA is clicked/tapped, the help panel should fade and animate into the screen, as per the demo prototype. Also refer to the css (lines 240-257) as a proposed way to achieve this effect.
Status: Not done.

Event Timeline

RHo created this task.Jan 3 2019, 7:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2019, 7:58 PM
Catrope updated the task description. (Show Details)Jan 3 2019, 8:16 PM
Catrope added a project: GrowthExperiments.
Catrope updated the task description. (Show Details)

Change 482246 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Help panel: Animate the CTA button onto the screen

https://gerrit.wikimedia.org/r/482246

Change 482248 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Help panel: Add animation when opening the popup

https://gerrit.wikimedia.org/r/482248

Change 482246 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: Animate the CTA button onto the screen

https://gerrit.wikimedia.org/r/482246

Change 482248 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: Add animation when opening the popup

https://gerrit.wikimedia.org/r/482248

Etonkovidova closed this task as Resolved.Jan 7 2019, 9:14 PM
MMiller_WMF reopened this task as Open.Jan 7 2019, 9:20 PM
MMiller_WMF moved this task from QA to Design Review on the Growth-Team (Current Sprint) board.

Hiya - animations LGTM for desktop and mobile:
(open fullscreen to view animated gifs)

Desktop
Mobile
MMiller_WMF closed this task as Resolved.Jan 15 2019, 12:13 AM